function xy = CollectBoundary(fdFunc)
            % plot Gives boudary plot points
            % This returns signed distance function for a given point
            bounds = fdFunc.pbounds;
            CurFig = gcf;
            [x,y] = meshgrid(bounds(1,1):.01:bounds(2,1),bounds(1,2):.01:bounds(2,2));
            zz = fdFunc.F([reshape(x,[],1),reshape(y,[],1)]);
            z = reshape(zz,size(x,1),size(x,2));
            tmpfig = figure(100);
            [C,h] = contour(x,y,z,[0 0]);
            Lvls = h.LevelList;
            k1 = 1;
            idxc = find(C(1,:) == Lvls(k1));
            Llen = C(2,idxc);
            xy = C(:,idxc(1)+1 : idxc(1)+1+Llen(1)-1)';
            close(tmpfig)
            try
            figure(CurFig)
            catch 
            end
end