function [ln] = MESHplotter(p,t,figNo,drawover)
figure(figNo)
if exist('drawover') && drawover==true
    hold on
    FaceCol = 'none';
else
    FaceCol = [1 1 1];
    cla
end

if size(p,2) ==3
   AllFaces = [t(:,[1 2 3]);t(:,[1 2 4]);t(:,[1 3 4]);t(:,[2 3 4])];
   [UniqueFaces,~,ic] = unique(sort(AllFaces,2),'rows');
   SurfaceFaceNos = find(histc(ic,1:max(ic)) == 1);
   t = UniqueFaces(SurfaceFaceNos,:);
end


% ln = patch('vertices',p,'faces',t,'edgecol','k','facecol',[1, 0.41, 0.16]); % WIth a face colour
ln = patch('vertices',p,'faces',t,'edgecol','k','facecol',FaceCol);
% ln.FaceAlpha = 0.25;
drawnow
axis equal
axis auto
hold off

end