function h=hradialgenerator2linearsmall2(p,h_max,h_min,varargin)

%   Copyright (C) 2004-2012 Per-Olof Persson. See COPYRIGHT.TXT for details.

% mesh refinement at points

%points
ps = [-2.5 2 
       3.8 1.1
       0 1];

% max edge length
% % h0 = 0.1;

%refinement edge length
hs = [0.1
      0.1
      0.2];
      
rad = [2
       3
       2];
   
deg = [ 20
       20
       20];
   
RfinePoints = find(hs < h_max);


hs = hs(RfinePoints,:);
rad = rad(RfinePoints,:);
deg = deg(RfinePoints,:);
ps = ps(RfinePoints,:);

   
m = tand(deg);
% a = 20./(rad*(2*pi())^0.5);

a = 10./((rad.*2.*pi()).^0.5); % This seems much better at getting roughly the radius influence 


%% Radius generated 

for i = 1:size(p,1)
% r(i,1) = norm(p(i,:)-[0.1 -.5]);
    r(i,1) = h_max;
    for j = 1:size(ps,1)
        %r(i,1) = min(r(i,1), - exp(-a(j,1)*norm(p(i,:)-ps(j,:))^2)*(h0-hs(j,1)));
      
        m = (h_max - hs(j,1))/rad(j,1);
        r(i,1) = min(r(i,1), m*norm(p(i,:)-ps(j,:))+ hs(j,1));
    end
end

%% Gradiant generated 

% for i = 1:size(p,1)
%     % r(i,1) = norm(p(i,:)-[0.1 -.5]);
%     r(i,1) = h_max;
%     for j = 1:size(ps,1)
%         %r(i,1) = min(r(i,1), - exp(-a(j,1)*norm(p(i,:)-ps(j,:))^2)*(h0-hs(j,1)));
%              
%         r(i,1) = min(r(i,1),m(j,1)*norm(p(i,:)-ps(j,:))+ hs(j,1));
%     end
% end

%%
h = r;
lowh = find(h<h_min);

% % set small hs to a minimum size
if size(lowh)>0
    h(lowh,1) = h_min;
end

highh = find(h > h_max);
% set big hs to a maximum size
if size(highh)>0
    h(highh,1) = h_max;
end
