clc; clear all; close all;
t = -3:0.1:1;
y = @(t) t.^3;
x = @(t) (10+t).^4;
plot(x(t),y(t))

dxdt = @(t) 4.*(10+t).^3;
dydt = @(t) 3.*t.^2;
ddxdtdt = @(t) 12.*(10+t).^2;
ddydtdt = @(t) 6.*t.^2;

t = -2
dt = [0.5];
vec = [dxdt(t) dydt(t)];

vec2 = [ddxdtdt(t) ddydtdt(t)];


p = [x(t) y(t)];


perpline = [p;p+vec.*dt];

hold on
plot(perpline(:,1),perpline(:,2),'r*')

perpline = [p;p+vec.*dt+vec2.*dt.^2];

hold on
plot(perpline(:,1),perpline(:,2),'g*')
