function [ln] = SensPlot(p,t,mag,expr)
xss = gca;
if size(p,2) ==3
    if  nargin>3 & ~isempty(expr)
        incl=find(eval(expr));
        t=t(all(ismember(t,incl),2),:);
    end
    
    AllFaces = [t(:,[1 2 3]);t(:,[1 2 4]);t(:,[1 3 4]);t(:,[2 3 4])];
    [UniqueFaces,~,ic] = unique(sort(AllFaces,2),'rows');
    SurfaceFaceNos = find(histc(ic,1:max(ic)) == 1);
    t = UniqueFaces(SurfaceFaceNos,:);
        
end

hold on
ln = patch('vertices',p,'faces',t,'edgecol','k','FaceColor','interp','FaceVertexCData',mag);
axis equal
pos = xss.Position;
Bar = colorbar;
% Bar.Position = [sum(pos([1 3])) Bar.Position(2:4)];
% Bar.AxisLocation = 'out';
end